function action(input, output, filename) {
	open(input + filename);
	run("8-bit");
	run("Linear Kuwahara", "number_of_angles=30 line_length=11 criterion=Variance");
	run("Find Edges");
	setOption("BlackBackground", true);
	run("Convert to Mask");
	saveAs("tif", output + filename);
	run("Fractal Box Count...", "box=[1,2,4,8,16,32,64,128,256, 512] black");
	close();
}

input = "/Users/cailleaug/Documents/MATTEO_BUFFI/New_imageJ/PDA2dpi/";
output = "/Users/cailleaug/Documents/MATTEO_BUFFI/New_imageJ/PDA2dpi/out/";

setBatchMode(true);
list = getFileList(input);
for (i = 0; i < list.length; i++){
        action(input, output, list[i]);
        saveAs("Results", output + "BatchResults.txt");
}
